Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::GIOPProtocolProperties Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::GIOPProtocolProperties:

[legend]
Collaboration diagram for RTCORBA::GIOPProtocolProperties:

[legend]
List of all members.

## Public Types
typedef GIOPProtocolProperties_ptr | _ptr_type
typedef GIOPProtocolProperties_var | _var_type
## Public Methods
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
GIOPProtocolProperties_ptr | _duplicate (GIOPProtocolProperties_ptr obj)
GIOPProtocolProperties_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
GIOPProtocolProperties_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| GIOPProtocolProperties (void)
virtual | ~GIOPProtocolProperties (void)
## Private Methods
| GIOPProtocolProperties (const GIOPProtocolProperties &)
void | operator= (const GIOPProtocolProperties &)

## Member Typedef Documentation

typedef GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties::_ptr_type

| Reimplemented from RTCORBA::ProtocolProperties.

typedef GIOPProtocolProperties_var RTCORBA::GIOPProtocolProperties::_var_type

| Reimplemented from RTCORBA::ProtocolProperties.

## Constructor & Destructor Documentation

RTCORBA::GIOPProtocolProperties::GIOPProtocolProperties | ( | void |  | ) | `[protected]`

RTCORBA::GIOPProtocolProperties::~GIOPProtocolProperties | ( | void |  | ) | `[protected, virtual]`

RTCORBA::GIOPProtocolProperties::GIOPProtocolProperties | ( | const GIOPProtocolProperties & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties::_duplicate | ( | GIOPProtocolProperties_ptr | obj | ) | `[static]`

const char * RTCORBA::GIOPProtocolProperties::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

virtual CORBA::Boolean RTCORBA::GIOPProtocolProperties::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from RTCORBA::ProtocolProperties.

void RTCORBA::GIOPProtocolProperties::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

CORBA::Boolean RTCORBA::GIOPProtocolProperties::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

void RTCORBA::GIOPProtocolProperties::operator= | ( | const GIOPProtocolProperties & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp